## hyperkitty 1.3.7

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/HyperKitty.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/HyperKitty.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/HyperKitty"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/HyperKitty"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## hyperkitty 1.1.4

=== debian/changelog ===
hyperkitty (1.1.4-4) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/control:
    - Don't recommend mailman3, recommend mailman3-web instead.

  [ Pierre-Elliott Bécue ]
  * d/rules:
    - Remove the embedded fonts that are in other packages. Same for
      bootstrap.js{,.min}
    - Add upstream's changelog to the package
    - Move django's static files in /usr/share/python-django-hyperkitty
  * d/control:
    - Add dependency on the font/js packages required by the rules change
  * wrap-and-sort
  * Add d/s/lintian-overrides to give intel on the current python3 missing
    package status.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 16 Mar 2018 17:33:39 +0100

hyperkitty (1.1.4-3) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/tests/control: Add test command 'django-admin test'.
  * d/rules: Run 'django-admin test' as build-time test.
  * d/tests/control: run django-admin with explicit python version
  * d/rules: don't run testsuite when 'nocheck' in DEB_BUILD_OPTIONS

  [ Pierre-Elliott Bécue ]
  * d/watch: fix the broken link, and raise version to 4
  * d/control:
    - Bump Standards-Version to 4.1.3
    - Change Vcs links to salsa.debian.org
    - Bump debhelper version requirement to 11
    - Remove Testsuite: header as d/tests/control exists
  * d/compat: bump to 11
  * d/copyright: update years

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 14 Feb 2018 23:58:29 +0100

hyperkitty (1.1.4-2) unstable; urgency=medium

  * debian/copyright: Add missing copyright statement for bootstrap.
    Thanks to Chris Lamb for the hint.
  * debian/control: Bump standards-version to 4.1.2, no changes
    needed.

 -- Jonas Meurer <mejo@debian.org>  Mon, 11 Dec 2017 08:20:12 +0100

hyperkitty (1.1.4-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Initial release (Closes: #799287)

  [ Jonas Meurer ]
  * Import upstream versions 1.1.1 and 1.1.4.

 -- Jonas Meurer <mejo@debian.org>  Sun, 15 Oct 2017 13:02:29 +0200

=== debian/control ===
Source: hyperkitty
Section: python
Priority: optional
Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>,
           Jonas Meurer <jonas@freesources.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-bs4,
               python-django,
               python-django-compressor,
               python-django-extensions,
               python-django-gravatar2,
               python-django-haystack,
               python-django-mailman3,
               python-django-paintstore,
               python-django-q,
               python-djangorestframework,
               python-enum34,
               python-lockfile,
               python-mailmanclient,
               python-mock,
               python-networkx,
               python-rjsmin,
               python-robot-detection,
               python-setuptools,
               python-tz,
               python-whoosh,
               python3-sphinx
Standards-Version: 4.1.3
Homepage: https://gitlab.com/mailman/hyperkitty
Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
Vcs-Git: https://salsa.debian.org/mailman-team/hyperkitty.git/
X-Python-Version: >= 2.7

Package: python-django-hyperkitty
Architecture: all
Depends: fonts-font-awesome,
         fonts-glewlwyd,
         libjs-bootstrap,
         python-cssmin,
         python-dateutil,
         python-django,
         python-django-compressor,
         python-django-extensions,
         python-django-gravatar2,
         python-django-haystack,
         python-django-mailman3,
         python-django-paintstore,
         python-django-q,
         python-djangorestframework,
         python-enum34,
         python-lockfile,
         python-mailmanclient,
         python-networkx,
         python-rjsmin,
         python-robot-detection,
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Recommends: mailman3-web
Description: Web user interface to access GNU Mailman3 archives
 The hyperkitty Django app provides a web user interface
 to access GNU Mailman3 archives, and manage it. This
 interface uses django, and requires some configuration.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hyperkitty

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
		$$python $(shell which django-admin) test --pythonpath=. --settings=hyperkitty.tests.settings_test hyperkitty; \
	done
endif

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -E -N doc build/sphinx/html
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# Don't embed fontawesome fonts
	find debian/python-django-hyperkitty -name 'fontawesome-webfont.ttf' -type f -exec \
		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.ttf {} \;
	find debian/python-django-hyperkitty -name 'FontAwesome.otf' -type f -exec \
		ln -sf /usr/share/fonts-font-awesome/fonts/FontAwesome.otf {} \;
	find debian/python-django-hyperkitty -name 'glyphicons-halflings-regular.ttf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
	# Don't embed bootstrap/jquery JS scripts
	find debian/python-django-hyperkitty -name 'bootstrap.js' -type f -exec \
		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.js {} \;
	find debian/python-django-hyperkitty -name 'bootstrap.min.js' -type f -exec \
		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;
	# Move static files outside of the lib directory
	mv debian/python-django-hyperkitty/usr/lib/python2.7/dist-packages/hyperkitty/static \
		debian/python-django-hyperkitty/usr/share/python-django-hyperkitty/
	ln -sf /usr/share/python-django-hyperkitty/static \
		debian/python-django-hyperkitty/usr/lib/python2.7/dist-packages/hyperkitty/static

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

=== debian/tests/control ===
Test-Command: python2.7 $(which django-admin) test --pythonpath=. --settings=hyperkitty.tests.settings_test hyperkitty
Depends: @,
         python-bs4,
         python-mock,
         python-whoosh
Restrictions: build-needed,
              allow-stderr

## hyperkitty 1.2.1

=== debian/changelog ===
hyperkitty (1.2.1-3) unstable; urgency=medium

  * d/tests/control: Add python3-all to dependencies. (Closes: #909587)

 -- Jonas Meurer <jonas@freesources.org>  Wed, 26 Sep 2018 10:43:13 +0200

hyperkitty (1.2.1-2) unstable; urgency=medium

  * d/tests/control:
    - Run testsuite with python3

 -- Jonas Meurer <jonas@freesources.org>  Sun, 23 Sep 2018 21:25:50 +0200

hyperkitty (1.2.1-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.2.0
    - python3 now fully supported
    - d/p/0001 becomes obsolete, removed.
    - Rename d/p/0002 to d/p/0001
    - upstream signing key changed. Using now
      541EA0448453394FF77A0ECC9D9B2BA061D0A67C (Abhilash Raj)
  * d/control:
    - Update (Build-)?Depedencies, as Python3 is the only supported version
      now

  [ Jonas Meurer ]
  * New upstream release 1.2.1
  * d/control:
    - Bump standards-version to 4.2.1, no changes required
    - Add versioned (Build-)Depends on python3-django >= 1:1.11
    - Add versioned (Build-)Depends on python3-mailmanclient >= 3.2.0
    - Add versioned (Build-)Depends on python3-django-haystack >= 2.8.0
    - Add Conflicts/Replaces python-django-hyperkitty
  * d/rules:
    - Migrate build system to python3
  * d/source/lintian-overrides:
    - Remove obsolete python2 lintian overrides
  * d/patches/0001-django-q-API-changed-Async-class-became-AsyncTask.patch:
    - Remove obsolete patch, got incorporated upstream
  * d/python3-django-hyperkitty.lintian-overrides:
    - Add lintian-overrides for jquery and fontawesome. In both cases, we
      have to keep the shipped versions due to backwards-incompatible changes.

 -- Jonas Meurer <jonas@freesources.org>  Wed, 19 Sep 2018 12:03:03 +0200

hyperkitty (1.1.4-8) unstable; urgency=medium

  * d/control:
    - Add the Depends field on python-django-hyperkitty on python-django-q >=
      0.9.4-2 (Closes: #905557)

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 07 Aug 2018 15:08:09 +0200

hyperkitty (1.1.4-7) unstable; urgency=medium

  * d/patches:
    - Take into account django-q API changes.
  * d/control:
    - Bump Standards-Version to 4.2.0. No change required

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 06 Aug 2018 00:14:50 +0200

hyperkitty (1.1.4-6) unstable; urgency=medium

  * d/rules:
    - Comment out the font-awesome replacement calls as fonts-glewlwyd relies
      on fonts-font-awesome's shipped ones, and font-awesome 5 is not
      providing them anymore. Use upstream's shipped fonts.

 -- Pierre-Elliott Bécue <becue@crans.org>  Sun, 03 Jun 2018 18:01:52 +0200

hyperkitty (1.1.4-5) unstable; urgency=medium

  * d/rules:
    - Prevent dh_clean to delete
      hyperkitty/tests/testdata/payload-utf8-wrong.txt.orig
    - Use the font-awesome.ttf and the FontAwesome.otf files from
      fonts-glewlwyd package as fonts-font-awesome got updated and is not
      backward compatible. Expect breakage as soon as upstream migrates to
      font-awesome 5.
      Closes: #898920
  * d/control:
    - Lowers build-depends on dh >= 11 to dh >= 11~
    - Remove the dependency on fonts-font-awesome.
    - Bump Standards-Version to 4.1.4
  * d/python-django-hyperkitty.examples:
    - Add the files in example_project in /u/s/d/p-d-h/examples

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 30 May 2018 15:35:43 +0200

=== debian/control ===
Source: hyperkitty
Section: python
Priority: optional
Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>,
           Jonas Meurer <jonas@freesources.org>
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-bs4,
               python3-django (>= 1:1.11),
               python3-django-compressor,
               python3-django-extensions,
               python3-django-gravatar2,
               python3-django-haystack (>= 2.8.0),
               python3-django-mailman3 (>= 1.2.0),
               python3-django-paintstore,
               python3-django-q (>= 0.9.4-2),
               python3-djangorestframework,
               python3-lockfile,
               python3-mailmanclient (>= 3.2.0),
               python3-mock,
               python3-networkx,
               python3-robot-detection,
               python3-setuptools,
               python3-tz,
               python3-whoosh,
               python3-sphinx
Standards-Version: 4.2.1
Homepage: https://gitlab.com/mailman/hyperkitty
Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
Vcs-Git: https://salsa.debian.org/mailman-team/hyperkitty.git/

Package: python3-django-hyperkitty
Architecture: all
Depends: fonts-glewlwyd,
         libjs-bootstrap,
         python3-dateutil,
         python3-django (>= 1:1.11),
         python3-django-compressor,
         python3-django-extensions,
         python3-django-gravatar2,
         python3-django-haystack (>= 2.8.0),
         python3-django-mailman3 (>= 1.2.0),
         python3-django-paintstore,
         python3-django-q (>= 0.9.4-2),
         python3-djangorestframework,
         python3-lockfile,
         python3-mailmanclient (>= 3.2.0),
         python3-networkx,
         python3-robot-detection,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends}
Recommends: mailman3-web
Conflicts: python-django-hyperkitty
Replaces: python-django-hyperkitty
Description: Web user interface to access GNU Mailman3 archives
 The hyperkitty Django app provides a web user interface
 to access GNU Mailman3 archives, and manage it. This
 interface uses django, and requires some configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME = hyperkitty

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean -X.txt.orig

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python3 in $(shell py3versions -r); do \
		$$python3 $(shell which django-admin) test --pythonpath=. --settings=hyperkitty.tests.settings_test hyperkitty; \
	done
endif

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -E -N doc build/sphinx/html
	dh_auto_build

override_dh_python3:
	dh_python3
	# Due to bug #908999, dh_python3 removes the empty directory
	# 'usr/share/python3-django-postorius', so run mkdir manually.
	mkdir -p debian/python3-django-hyperkitty/usr/share/python3-django-hyperkitty
	# Move static files outside of the lib directory
	mv debian/python3-django-hyperkitty/usr/lib/python3/dist-packages/hyperkitty/static \
		debian/python3-django-hyperkitty/usr/share/python3-django-hyperkitty/
	dh_link usr/share/python3-django-hyperkitty/static \
		usr/lib/python3/dist-packages/hyperkitty/static
#	# Don't embed fontawesome fonts. Use fonts-glewlwyd shipped ones instead.
#	find debian/python3-django-hyperkitty -name 'fontawesome-webfont.ttf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/fontawesome-webfont.ttf {} \;
#	find debian/python3-django-hyperkitty -name 'FontAwesome.otf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/FontAwesome.otf {} \;
	# Don't embed glewlwyd glyphicons as they're also shipped into debian.
	find debian/python3-django-hyperkitty -name 'glyphicons-halflings-regular.ttf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
	# Don't embed bootstrap JS scripts
	find debian/python3-django-hyperkitty -name 'bootstrap.js' -type f -exec \
		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.js {} \;
	find debian/python3-django-hyperkitty -name 'bootstrap.min.js' -type f -exec \
		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/python3-django-hyperkitty/usr/share/doc/python3-django-hyperkitty/examples/wsgi.py

## hyperkitty 1.2.2

=== debian/changelog ===
hyperkitty (1.2.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jonas Meurer <jonas@freesources.org>  Sun, 10 Mar 2019 00:24:28 +0100

hyperkitty (1.2.2-1) unstable; urgency=medium

  * New upstream release 1.2.2
  * d/control:
    - Remove obsolete dependency on python3-django-paintstore.
    - Add breaks for mailman3-suite (>> 0+20180916-5~) to reflect the
      removed dependency on paintstore.
    - Bump standards-version to 4.3.0, no changes required.
  * d/p/0001_README_remove_embedded_images.patch:
    - Remove embedded images from README.rst

 -- Jonas Meurer <jonas@freesources.org>  Fri, 22 Feb 2019 21:25:00 +0100

hyperkitty (1.2.1-4) unstable; urgency=medium

  * d/control:
    - Replace my Crans address by my Debian address in uploaders
  * d/rules:
    - Make the tests more verbose. Initially it was to debug garbage output,
      but I prefer this output. It's more relevant.
  * d/links:
    - Fix the broken link to the rst sources due to the python3 migration.
      (Closes: #910411)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 07 Oct 2018 03:02:14 +0200

hyperkitty (1.1.4-4~bpo9+2) stretch-backports; urgency=medium

  * Backports don't ship fonts-glewlwyd. Removing the dependency and the rule
    to rely on Debian's version

 -- Pierre-Elliott Bécue <becue@crans.org>  Thu, 22 Mar 2018 13:46:21 +0100

hyperkitty (1.1.4-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update build dependencies to match stretch-backports repo

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 20 Mar 2018 09:10:18 +0100

hyperkitty (1.1.4-2~bpo9+2) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 12 Feb 2018 23:10:42 +0100

hyperkitty (1.1.4-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 12 Feb 2018 23:10:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
-Uploaders: Pierre-Elliott Bécue <becue@crans.org>,
+Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
            Jonas Meurer <jonas@freesources.org>
 Build-Depends: debhelper (>= 11~),
                dh-python,
@@ -14,7 +14,6 @@
                python3-django-gravatar2,
                python3-django-haystack (>= 2.8.0),
                python3-django-mailman3 (>= 1.2.0),
-               python3-django-paintstore,
                python3-django-q (>= 0.9.4-2),
                python3-djangorestframework,
                python3-lockfile,
@@ -26,14 +25,14 @@
                python3-tz,
                python3-whoosh,
                python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://gitlab.com/mailman/hyperkitty
 Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
 Vcs-Git: https://salsa.debian.org/mailman-team/hyperkitty.git/
 
 Package: python3-django-hyperkitty
 Architecture: all
-Depends: fonts-glewlwyd,
+Depends: fonts-font-awesome,
          libjs-bootstrap,
          python3-dateutil,
          python3-django (>= 1:1.11),
@@ -42,7 +41,6 @@
          python3-django-gravatar2,
          python3-django-haystack (>= 2.8.0),
          python3-django-mailman3 (>= 1.2.0),
-         python3-django-paintstore,
          python3-django-q (>= 0.9.4-2),
          python3-djangorestframework,
          python3-lockfile,
@@ -53,6 +51,7 @@
          ${misc:Depends},
          ${python3:Depends}
 Recommends: mailman3-web
+Breaks: mailman3-suite (<< 0+20180916-5~)
 Conflicts: python-django-hyperkitty
 Replaces: python-django-hyperkitty
 Description: Web user interface to access GNU Mailman3 archives

## hyperkitty 1.2.2.1

=== debian/changelog ===
hyperkitty (1.2.2.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>  Mon, 25 Oct 2021 11:08:01 +0800

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 Package: python3-django-hyperkitty
 Architecture: all
-Depends: fonts-font-awesome,
+Depends: fonts-glewlwyd,
          libjs-bootstrap,
          python3-dateutil,
          python3-django (>= 1:1.11),

## hyperkitty 1.3.0

=== debian/changelog ===
hyperkitty (1.3.0-1) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/patches/0002_Use_python3_by_default.patch:
    - Use python3 by default instead of /usr/bin/env python. Thanks to
      Louis-Philippe Véronneau for bugreport and patch. (Closes: #924410)
  * d/patches/0003-run-sassc-at-build-time.patch:
    - Compress sassc files using sassc at build time (Related to #924961)
  * d/control:
    - Add breaks for mailman3-web (<< 0+20180916-10~) to ensure that
      'django-admin collectstatic' is run after this update.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.3.0
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Switch to debhelper-compat
    - Add sphinxdoc:Depends to python3-django-hyperkitty
    - Set Rules-Requires-Root to no
  * d/missing-sources:
    - Add mousetrap.js
  * d/copyright:
    - Add mousetrap.js

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 27 Oct 2019 13:21:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
            Jonas Meurer <jonas@freesources.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-bs4,
@@ -14,9 +14,10 @@
                python3-django-gravatar2,
                python3-django-haystack (>= 2.8.0),
                python3-django-mailman3 (>= 1.2.0),
-               python3-django-q (>= 0.9.4-2),
+               python3-django-q (>= 1.0.0),
                python3-djangorestframework,
-               python3-lockfile,
+               python3-flufl.lock,
+               python3-isort,
                python3-mailmanclient (>= 3.2.0),
                python3-mock,
                python3-networkx,
@@ -24,8 +25,10 @@
                python3-setuptools,
                python3-tz,
                python3-whoosh,
-               python3-sphinx
-Standards-Version: 4.3.0
+               python3-sphinx,
+               sassc
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/mailman/hyperkitty
 Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
 Vcs-Git: https://salsa.debian.org/mailman-team/hyperkitty.git/
@@ -41,17 +44,19 @@
          python3-django-gravatar2,
          python3-django-haystack (>= 2.8.0),
          python3-django-mailman3 (>= 1.2.0),
-         python3-django-q (>= 0.9.4-2),
+         python3-django-q (>= 1.0.0),
          python3-djangorestframework,
-         python3-lockfile,
+         python3-flufl.lock,
+         python3-isort,
          python3-mailmanclient (>= 3.2.0),
          python3-networkx,
          python3-robot-detection,
          python3-tz,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Recommends: mailman3-web
-Breaks: mailman3-suite (<< 0+20180916-5~)
+Breaks: mailman3-web (<< 0+20180916-10~)
 Conflicts: python-django-hyperkitty
 Replaces: python-django-hyperkitty
 Description: Web user interface to access GNU Mailman3 archives

## hyperkitty 1.3.2

=== debian/changelog ===
hyperkitty (1.3.2-1) unstable; urgency=medium

  * New upstream release 1.3.2
    - d/p/MR201.patch removed
  * d/control:
    - Bump Standards-Version to 4.5.0
  * d/tests/:
    - Setup a specific test engine

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 21 Feb 2020 23:36:23 +0100

hyperkitty (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/MR201.patch
    - make hyperkitty compatible with networkx 2.4; Closes: #945392

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jan 2020 16:17:27 -0500

=== debian/control ===
--- 
+++ 
@@ -16,18 +16,19 @@
                python3-django-mailman3 (>= 1.2.0),
                python3-django-q (>= 1.0.0),
                python3-djangorestframework,
+               python3-elasticsearch,
                python3-flufl.lock,
                python3-isort,
                python3-mailmanclient (>= 3.2.0),
                python3-mock,
-               python3-networkx,
+               python3-networkx (>= 2.0),
                python3-robot-detection,
                python3-setuptools,
                python3-tz,
                python3-whoosh,
                python3-sphinx,
                sassc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/mailman/hyperkitty
 Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
@@ -46,6 +47,7 @@
          python3-django-mailman3 (>= 1.2.0),
          python3-django-q (>= 1.0.0),
          python3-djangorestframework,
+         python3-elasticsearch,
          python3-flufl.lock,
          python3-isort,
          python3-mailmanclient (>= 3.2.0),

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
 	for python3 in $(shell py3versions -r); do \
-		$$python3 $(shell which django-admin) test --pythonpath=. --settings=hyperkitty.tests.settings_test hyperkitty; \
+		$$python3 $(shell which django-admin) test -v 3 --pythonpath=. --settings=hyperkitty.tests.settings_test hyperkitty; \
 	done
 endif
 
@@ -25,7 +25,7 @@
 override_dh_python3:
 	dh_python3
 	# Due to bug #908999, dh_python3 removes the empty directory
-	# 'usr/share/python3-django-postorius', so run mkdir manually.
+	# 'usr/share/python3-django-hyperkitty', so run mkdir manually.
 	mkdir -p debian/python3-django-hyperkitty/usr/share/python3-django-hyperkitty
 	# Move static files outside of the lib directory
 	mv debian/python3-django-hyperkitty/usr/lib/python3/dist-packages/hyperkitty/static \
@@ -45,6 +45,9 @@
 		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.js {} \;
 	find debian/python3-django-hyperkitty -name 'bootstrap.min.js' -type f -exec \
 		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;
+	# Compile scss + css files using sassc
+	sassc hyperkitty/static/hyperkitty/sass/hyperkitty.scss \
+		debian/python3-django-hyperkitty/usr/share/python3-django-hyperkitty/static/hyperkitty/libs/hyperkitty.css
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/news.rst

## hyperkitty 1.3.3

=== debian/changelog ===
hyperkitty (1.3.3-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update (build-)dependencies
    - Bump standards-version to 4.5.1
  * d/tests/control: Update test dependencies
  * d/rules: Replace all glyphicons-halflings-regular font files with symlinks
    to the files from package fonts-glyphicons-halflings
  * d/copyright: fix order of globbing patterns

 -- Jonas Meurer <jonas@freesources.org>  Tue, 12 Jan 2021 00:16:33 +0100

hyperkitty (1.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use glyphicons-halflings from fonts-glyphicons-halflings (Closes: #962880)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 18 Jul 2020 13:45:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,27 @@
                dh-python,
                python3-all,
                python3-bs4,
-               python3-django (>= 1:1.11),
+               python3-django (>= 2:2.0),
                python3-django-compressor,
                python3-django-extensions,
                python3-django-gravatar2,
-               python3-django-haystack (>= 2.8.0),
-               python3-django-mailman3 (>= 1.2.0),
-               python3-django-q (>= 1.0.0),
+               python3-django-haystack,
+               python3-django-mailman3 (>= 1.3.3),
+               python3-django-q,
                python3-djangorestframework,
                python3-elasticsearch,
                python3-flufl.lock,
                python3-isort,
-               python3-mailmanclient (>= 3.2.0),
+               python3-mailmanclient (>= 3.3.1),
                python3-mock,
-               python3-networkx (>= 2.0),
+               python3-networkx,
                python3-robot-detection,
                python3-setuptools,
                python3-tz,
                python3-whoosh,
                python3-sphinx,
                sassc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/mailman/hyperkitty
 Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
@@ -36,21 +36,20 @@
 
 Package: python3-django-hyperkitty
 Architecture: all
-Depends: fonts-glewlwyd,
+Depends: fonts-glyphicons-halflings,
          libjs-bootstrap,
          python3-dateutil,
-         python3-django (>= 1:1.11),
+         python3-django (>= 2:2.0),
          python3-django-compressor,
          python3-django-extensions,
          python3-django-gravatar2,
          python3-django-haystack (>= 2.8.0),
-         python3-django-mailman3 (>= 1.2.0),
-         python3-django-q (>= 1.0.0),
+         python3-django-mailman3 (>= 1.3.3),
+         python3-django-q,
          python3-djangorestframework,
          python3-elasticsearch,
          python3-flufl.lock,
-         python3-isort,
-         python3-mailmanclient (>= 3.2.0),
+         python3-mailmanclient (>= 3.3.1),
          python3-networkx,
          python3-robot-detection,
          python3-tz,

## hyperkitty 1.3.4

=== debian/changelog ===
hyperkitty (1.3.4-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update (build-)dependencies
  * d/patches: Rebased

 -- Jonas Meurer <jonas@freesources.org>  Fri, 05 Feb 2021 01:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                python3-all,
                python3-bs4,
-               python3-django (>= 2:2.0),
+               python3-django (>= 2:2.2),
                python3-django-compressor,
                python3-django-extensions,
                python3-django-gravatar2,

=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,10 @@
 #	find debian/python3-django-hyperkitty -name 'FontAwesome.otf' -type f -exec \
 		ln -sf /usr/share/glewlwyd/webapp/fonts/FontAwesome.otf {} \;
 	# Don't embed glewlwyd glyphicons as they're also shipped into debian.
-	find debian/python3-django-hyperkitty -name 'glyphicons-halflings-regular.ttf' -type f -exec \
-		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
+	for type in eot ttf woff woff2; do \
+		find debian/python3-django-hyperkitty -name "glyphicons-halflings-regular.$$type" -type f -exec \
+			ln -sf /usr/share/fonts-glyphicons/glyphicons-halflings-regular.$$type {} \; ; \
+	done
 	# Don't embed bootstrap JS scripts
 	find debian/python3-django-hyperkitty -name 'bootstrap.js' -type f -exec \
 		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.js {} \;

## hyperkitty 1.3.5

=== debian/changelog ===
hyperkitty (1.3.5-1) unstable; urgency=medium

  * New upstream release 1.3.5 (Closes: #995653)
  * d/p/0004: Add a patch to fix failing mistune imports due to hyperkitty
    initially being released depending on mistune 2.0.0rc1.
  * d/p/0005: Ensure that date headers are valid
    This makes HyperKitty consistently build against py3.10
  * d/missing-sources/jquery-1.10.1.js dropped
  * d/copyright: updated
  * d/control: Bump Standards-Version to 4.6.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 09 Dec 2021 23:09:48 +0100

hyperkitty (1.3.4-4) unstable; urgency=high

  * d/p/0005_ensure_private_archives_during_import.patch: Ensure private
    archives stay private during import (CVE-2021-33038). (Closes: #989183)

 -- Jonas Meurer <jonas@freesources.org>  Fri, 28 May 2021 11:00:26 +0200

hyperkitty (1.3.4-3) unstable; urgency=high

  * d/p/0004_remove_link_to_google_fonts.patch: Don't load remote Google
    fonts. Thanks to Kunal Mehta for bugreport and testing. (Closes: #987654)

 -- Jonas Meurer <jonas@freesources.org>  Thu, 29 Apr 2021 11:55:45 +0200

hyperkitty (1.3.4-2) unstable; urgency=medium

  * Replace bootstrap3 usage with bootstrap4.
  * Compile the LC_MESSAGES at build time

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 03 Mar 2021 16:25:55 +0100

## hyperkitty 1.3.5-1%2Breally1.3.4

=== debian/changelog ===
hyperkitty (1.3.5-1+really1.3.4-1) unstable; urgency=medium

  * Rollback as mistune is reverting to 0.8.4. Will come again in unstable in
    a couple months when mistune goes again to 2.0.0
  * Disable testing at buildtime as we know it'll predictably fail (that was
    the purpose of going to 1.3.5)

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 11 Jan 2022 21:59:24 +0100

## hyperkitty 1.3.5-1+really1.3.4

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 Package: python3-django-hyperkitty
 Architecture: all
 Depends: fonts-glyphicons-halflings,
-         libjs-bootstrap,
+         libjs-bootstrap4,
          python3-dateutil,
          python3-django (>= 2:2.0),
          python3-django-compressor,

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,12 @@
 	dh_clean -X.txt.orig
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; \
-	for python3 in $(shell py3versions -r); do \
-		$$python3 $(shell which django-admin) test -v 3 --pythonpath=. --settings=hyperkitty.tests.settings_test hyperkitty; \
-	done
-endif
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#	set -e; \
+#	for python3 in $(shell py3versions -r); do \
+#		$$python3 $(shell which django-admin) test -v 3 --pythonpath=. --settings=hyperkitty.tests.settings_test hyperkitty; \
+#	done
+#endif
 
 override_dh_auto_build:
 	PYTHONPATH=. sphinx-build -b html -E -N doc build/sphinx/html
@@ -44,12 +44,15 @@
 	done
 	# Don't embed bootstrap JS scripts
 	find debian/python3-django-hyperkitty -name 'bootstrap.js' -type f -exec \
-		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.js {} \;
+		ln -sf /usr/share/javascript/bootstrap4/js/bootstrap.js {} \;
 	find debian/python3-django-hyperkitty -name 'bootstrap.min.js' -type f -exec \
-		ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;
+		ln -sf /usr/share/javascript/bootstrap4/js/bootstrap.min.js {} \;
 	# Compile scss + css files using sassc
 	sassc hyperkitty/static/hyperkitty/sass/hyperkitty.scss \
 		debian/python3-django-hyperkitty/usr/share/python3-django-hyperkitty/static/hyperkitty/libs/hyperkitty.css
+	#
+	# Compile django LC messages
+	cd debian/python3-django-hyperkitty/usr/lib/python3/dist-packages/hyperkitty && django-admin compilemessages
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/news.rst

=== debian/tests/control ===
Tests: python3-django-hyperkitty
Depends: @,
         python3-all,
         python3-bs4,
         python3-mock,
         python3-whoosh
Restrictions: allow-stderr

## hyperkitty 1.3.5.0

=== debian/changelog ===
hyperkitty (1.3.5.0-2) unstable; urgency=medium

  * Releasing 1.3.5-2 in unstable with a version fix because of my previous
    version screwup.

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 31 Mar 2022 22:51:17 +0200

hyperkitty (1.3.5-2~exp1) experimental; urgency=medium

  * Going back to hyperkitty 1.3.5
  * d/copyright: remove superfluous entry

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 11 Jan 2022 22:54:14 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,15 @@
                python3-django-extensions,
                python3-django-gravatar2,
                python3-django-haystack,
-               python3-django-mailman3 (>= 1.3.3),
+               python3-django-mailman3 (>= 1.3.7),
                python3-django-q,
                python3-djangorestframework,
                python3-elasticsearch,
                python3-flufl.lock,
                python3-isort,
-               python3-mailmanclient (>= 3.3.1),
+               python3-lxml,
+               python3-mailmanclient (>= 3.3.3),
+               python3-mistune (>= 2.0.0),
                python3-mock,
                python3-networkx,
                python3-robot-detection,
@@ -28,7 +30,7 @@
                python3-whoosh,
                python3-sphinx,
                sassc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/mailman/hyperkitty
 Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
@@ -43,13 +45,14 @@
          python3-django-compressor,
          python3-django-extensions,
          python3-django-gravatar2,
-         python3-django-haystack (>= 2.8.0),
-         python3-django-mailman3 (>= 1.3.3),
+         python3-django-haystack,
+         python3-django-mailman3 (>= 1.3.7),
          python3-django-q,
          python3-djangorestframework,
          python3-elasticsearch,
          python3-flufl.lock,
-         python3-mailmanclient (>= 3.3.1),
+         python3-mailmanclient (>= 3.3.3),
+         python3-mistune (>= 2.0.0),
          python3-networkx,
          python3-robot-detection,
          python3-tz,

## hyperkitty 1.3.6

=== debian/changelog ===
hyperkitty (1.3.6-1) unstable; urgency=medium

  * New upstream release 1.3.6 (Closes: #1013480, #999910)
    - Dropped patches 0004 and 0005
  * d/copyright: updated
  * d/control:
    - Bump debhelper-compat level to 13
    - Bump Standards-Version to 4.6.1
    - Update version dependencies and remove the unneeded ones
  * Updated lintian overrides
  * debian/tests: use py3versions -s

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 18 Nov 2022 23:30:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,24 @@
 Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
            Jonas Meurer <jonas@freesources.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-bs4,
-               python3-django (>= 2:2.2),
+               python3-django (>= 2:3.2),
+               python3-django (<< 3:4.2),
                python3-django-compressor,
                python3-django-extensions,
                python3-django-gravatar2,
                python3-django-haystack,
-               python3-django-mailman3 (>= 1.3.7),
+               python3-django-mailman3 (>= 1.3.8),
                python3-django-q,
                python3-djangorestframework,
                python3-elasticsearch,
                python3-flufl.lock,
                python3-isort,
                python3-lxml,
-               python3-mailmanclient (>= 3.3.3),
+               python3-mailmanclient,
                python3-mistune (>= 2.0.0),
                python3-mock,
                python3-networkx,
@@ -30,7 +31,7 @@
                python3-whoosh,
                python3-sphinx,
                sassc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/mailman/hyperkitty
 Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
@@ -41,17 +42,18 @@
 Depends: fonts-glyphicons-halflings,
          libjs-bootstrap4,
          python3-dateutil,
-         python3-django (>= 2:2.0),
+         python3-django (>= 2:3.2),
+         python3-django (<< 3:4.2),
          python3-django-compressor,
          python3-django-extensions,
          python3-django-gravatar2,
          python3-django-haystack,
-         python3-django-mailman3 (>= 1.3.7),
+         python3-django-mailman3 (>= 1.3.8),
          python3-django-q,
          python3-djangorestframework,
          python3-elasticsearch,
          python3-flufl.lock,
-         python3-mailmanclient (>= 3.3.3),
+         python3-mailmanclient,
          python3-mistune (>= 2.0.0),
          python3-networkx,
          python3-robot-detection,
